---
sidebar_label: Locator.setVisibility
---

# Locator.setVisibility() method

#### Signature:

```typescript
class Locator {
  abstract setVisibility(visibility: VisibilityOption): this;
}
```

## Parameters

| Parameter  | Type                                                | Description |
| ---------- | --------------------------------------------------- | ----------- |
| visibility | [VisibilityOption](./puppeteer.visibilityoption.md) |             |

**Returns:**

this
